Skip to main content
GET
/
v1
/
sandboxes
/
{id}
/
lifecycle
List lifecycle events related to a sandbox
import requests

url = "https://api.13-215-85-171.sslip.io/v1/sandboxes/{id}/lifecycle"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "events": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "occurred_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "sandbox_id": "<string>",
      "snapshot_id": "<string>",
      "source_sandbox_id": "<string>",
      "target_sandbox_id": "<string>",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "reason": "<string>",
      "error_code": "<string>",
      "error_message": "<string>"
    }
  ],
  "offset": 123,
  "limit": 123,
  "has_more": true
}

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

id
string
required

Sandbox ID (e.g. sb_a1b2c3d4)

Query Parameters

offset
integer<uint32>
default:0
Required range: x >= 0
limit
integer<uint32>
default:50
Required range: 1 <= x <= 100
order
enum<string>
default:desc
Available options:
asc,
desc
operation
enum<string>
Available options:
create,
destroy,
timeout_updated,
timeout_expired,
hibernate,
snapshot_created,
resume_from_snapshot,
fork,
reconcile
status
enum<string>
Available options:
requested,
succeeded,
failed
from
string<date-time>

Include events with occurred_at >= from using an RFC3339 timestamp.

to
string<date-time>

Include events with occurred_at <= to using an RFC3339 timestamp.

Response

Lifecycle event page

events
object[]
required
offset
integer<uint32>
required
limit
integer<uint32>
required
has_more
boolean
required